summaryrefslogtreecommitdiffstats
path: root/debian/xlunzip.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/xlunzip.postinst')
-rwxr-xr-xdebian/xlunzip.postinst25
1 files changed, 25 insertions, 0 deletions
diff --git a/debian/xlunzip.postinst b/debian/xlunzip.postinst
new file mode 100755
index 0000000..81d4508
--- /dev/null
+++ b/debian/xlunzip.postinst
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ configure)
+ update-alternatives --quiet \
+ --install /usr/bin/lzip lzip /usr/bin/lzip.xlunzip -3000 \
+ --slave /usr/share/info/lzip.info.gz lzip.info.gz /usr/share/info/lzip.xlunzip.info.gz \
+ --slave /usr/share/man/man1/lzip.1.gz lzip.1.gz /usr/share/man/man1/lzip.xlunzip.1.gz
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0